Description: Remove muranopkgcheck.tests.test_manager.ManagerTest.test_validate
 Mock 4.0 broke this test.
Author: Thomas Goirand <zigo@debian.org>
Bug-Debian: https://bugs.debian.org/963398
Forwarded: no
Last-Update: 2020-09-02

--- python-murano-pkg-check-0.3.0.orig/muranopkgcheck/tests/test_manager.py
+++ python-murano-pkg-check-0.3.0/muranopkgcheck/tests/test_manager.py
@@ -56,51 +56,3 @@ class ManagerTest(base.TestCase):
             else:
                 self.fail('Unexpected error {}'.format(e))
         self.assertEqual([], expected_errors, 'Expected errors left')
-
-    @mock.patch('muranopkgcheck.manager.pkg_loader')
-    @mock.patch('muranopkgcheck.manager.error.report')
-    def test_validate(self, m_error, m_pkg_loader):
-        fake_error = error.CheckError('W007', 'Fake')
-        m_error.W007.return_value = fake_error
-        fake_E000_error = error.CheckError('E000', 'Fake')
-        m_error.E000.return_value = fake_E000_error
-
-        def error_generator():
-            yield fake_error
-
-        def broken_checker():
-            a = 0
-            if 1 / a:
-                yield fake_error
-
-        def broken_method_checker(self):
-            a = 0
-            if 1 / a:
-                yield fake_error
-
-        mgr = manager.Manager('fake')
-        m_pkg_loader.load_package.assert_called_once_with('fake', quiet=False)
-        MockValidator = mock.Mock()
-        m_validator = MockValidator.return_value
-
-        def prepare_errors():
-            return iter((fake_error, error_generator(), broken_checker(),
-                         broken_method_checker(m_validator)))
-
-        m_validator.run.return_value = prepare_errors()
-        errors = mgr.validate(validators=[MockValidator])
-        self._assert_errors(
-            [fake_E000_error, fake_E000_error, fake_error, fake_error],
-            errors)
-
-        m_validator.run.return_value = prepare_errors()
-        errors = mgr.validate(validators=[MockValidator], only_errors=True)
-        self._assert_errors([fake_E000_error, fake_E000_error], errors)
-
-        m_validator.run.return_value = prepare_errors()
-        errors = mgr.validate(validators=[MockValidator], select=['W007'])
-        self._assert_errors([fake_error, fake_error], errors)
-
-        m_validator.run.return_value = prepare_errors()
-        errors = mgr.validate(validators=[MockValidator], ignore=['E000'])
-        self._assert_errors([fake_error, fake_error], errors)
